from django.apps import AppConfig


class ShipmentConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'shipment'
    verbose_name = '出货管理'

    def ready(self):
        from . import handlers
        from .models import Shipment
        from .signals import shipment_created

        shipment_created.connect(
            handlers.on_shipment_created,
            sender=Shipment,
            dispatch_uid="shipment.on_shipment_created",
        )
